comecerodocs

List rate plans

GET
/usage/rate_plans

Every saved version of every rate plan, newest effective_from first, up to 500. There is no paging. Secret and trusted tokens may call it; a limited token may not (403).

Authorization

headerAuthorizationBearer <token>

A secret, trusted or limited token. See Authentication.

Query Parameters

metric_id?string

Only the plans that price this metric.

Response Body

The rate plans.

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://api.comecero.com/api/v1/usage/rate_plans'
Example Response
{  "data": [    {      "object": "string",      "rate_plan_id": "string",      "version": 0,      "metric_id": "string",      "currency": "string",      "pricing_model": "flat_per_unit",      "included_allowance": 0,      "overage_price": 0,      "tiers": [        {          "up_to": 0,          "unit_price": 0,          "flat_fee": 0        }      ],      "effective_from": "2019-08-24T14:15:22Z",      "effective_to": "2019-08-24T14:15:22Z",      "billing_region": "us",      "test": true    }  ]}